import { Observable } from 'rxjs';
import { Type } from '@angular/core';
export interface DcModalOptions {
    id?: string;
    title: string;
    component: Type<any>;
    width?: string;
    data?: any;
    handler?: Function;
    onClose?: Function;
    backdropCloseable?: boolean;
    noHeaderShadow?: boolean;
    beforeHidden?: () => boolean | Promise<boolean> | Observable<boolean>;
}
